Subject: Re: bug#15262: 24.3.50; desktop does not save buffer-display-time

From: Stefan Kangas <[email-masked]>
Date: Sun, 18 Aug 2019 19:26:25 +0200

Sam Steingold <[email-masked]> writes:

> On Tue, Sep 3, 2013 at 4:30 PM, Glenn Morris <[email-masked]> wrote:
>> Sam Steingold wrote:
>>
>>>> Maybe someone wants starting a new Emacs to reset the clocks on all
>>>> their buffers, so none are considered "old".
>>>
>>> why would one want to do that?
>>
>> You don't think there's anyone alive who would think it weird to start
>> an Emacs at 11.59pm, then have a bunch of buffers killed 1 minute later
>> as "too old"?
>
> well, let's see: the last time the user saw the buffers was 3 days ago.
> and he explicitly (by enabling midnight) requested that they are purged.
> what's weird?
> ah, I see! suppose the user have not used emacs for a week.
> then all buffers will be killed.
> maybe it would make sense to advance the saved buffer-display-time
> by the period while emacs was inactive.

The changes suggested by Sam Steingold above is now on master, and I'm
therefore closing this bug report.

commit cd726ef68ece4fff6772bd08c0051c294e925505
Author: Sam Steingold <[email-masked]>
Date:   Sat Oct 15 23:14:48 2016 -0400

    Save and restore buffer-display-time

    * desktop.el (desktop-locals-to-save): Add `buffer-display-time'
    (desktop-read): Set `desktop-file-modtime' before loading the desktop file
    (desktop-create-buffer): Adjust `buffer-display-time' for the
    downtime

Thanks,
Stefan Kangas